Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class SourceFolder

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.SourceFolder

    class SourceFolder
    extends AbstractClasspathEntry

SourceFolder.path contains only project relative path.

Field Summary

Fields inherited from class AbstractClasspathEntry
COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Property Summary
`File` | `dir`
`List` | `excludes`
`List` | `includes`
`String` | `output`

Constructor Summary
`SourceFolder(Node node)`
`SourceFolder(String projectRelativePath, String output)`

Method Summary
`void` | `appendNode(Node node)`
`boolean` | `equals(def o)`
`String` | `getAbsolutePath()`
`String` | `getKind()`
`String` | `getName()`
`int` | `hashCode()`
`String` | `toString()`
`void` | `trimPath()`

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Property Detail

### dir

    File dir

### excludes

    List excludes

### includes

    List includes

### output

    String output

Constructor Detail

### SourceFolder

    SourceFolder(Node node)

### SourceFolder

    SourceFolder(String projectRelativePath, String output)

Method Detail

### appendNode

    void appendNode(Node node)

### equals

    boolean equals(def o)

### getAbsolutePath

    String getAbsolutePath()

### getKind

    String getKind()

### getName

    String getName()

### hashCode

    int hashCode()

### toString

    String toString()

### trimPath

    void trimPath()

Gradle API 1.10